- release_tracks: [ALPHA]

  help_text:
    brief: |
      Show metadata for a Looker.
    description: |
      Show metadata for a Looker instance.

      Displays all metadata associated with a Looker instance given a valid
      instance name.

      This command can fail for the following reasons:
        * The instance specified does not exist.
        * The active account does not have permission to access the given
          instance.
    examples: |
      To display the metadata for an instance with the name `my-looker-instance` in the default
      region, run:

        $ {command} my-looker-instance

  arguments:
    resource:
      spec: !REF googlecloudsdk.command_lib.looker.resources:instance
      help_text: |
        Arguments and flags that specify the Looker instance you want
        to describe.

  request:
    ALPHA:
      api_version: v1alpha1
    collection: looker.projects.locations.instances

  output:
    format: |
      table(
        name.basename():label=NAME:sort=2,
        lookerUri:label=INSTANCE_URL,
        lookerVersion:label=VERSION,
        platformEdition:label=EDITION,
        state:label=STATUS,
        createTime.date(),
        updateTime.date()
      )
